unit XData.Web.Headers;

interface

uses
  Types, SysUtils, Bcl.Collections.Common;

type
  THttpHeaderInfo = class
  private
    FName: string;
    FValue: string;
  public
    property Name: string read FName;
    property Value: string read FValue;
  end;

  THttpHeaders = class
  private
    FHeaderNames: TStringDynArray;
  public
    procedure SetValue(const HeaderName, HeaderValue: string);
    procedure AddValue(const HeaderName, HeaderValue: string);
    function Get(const HeaderName: string): string;
    function Exists(const HeaderName: string): boolean;
    function GetIfExists(const HeaderName: string; var HeaderValue: string): Boolean;
    procedure Remove(const HeaderName: string);
    procedure Clear;
    property HeaderNames: TStringDynArray read FHeaderNames;
  end;

implementation

{ THttpHeaders }

procedure THttpHeaders.AddValue(const HeaderName, HeaderValue: string);
begin
end;

procedure THttpHeaders.Clear;
begin
end;

function THttpHeaders.Exists(const HeaderName: string): boolean;
begin
  Result := False;
end;

function THttpHeaders.Get(const HeaderName: string): string;
begin
  Result := '';
end;

function THttpHeaders.GetIfExists(const HeaderName: string;
  var HeaderValue: string): Boolean;
begin
  Result := False;
end;

procedure THttpHeaders.Remove(const HeaderName: string);
begin
end;

procedure THttpHeaders.SetValue(const HeaderName, HeaderValue: string);
begin
end;

end.